<?php

namespace App\Mail;

use App\Models\Anggota;
use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class AnggotaBaruMenungguPersetujuan extends Mailable
{
    use Queueable, SerializesModels;

    public $anggota;

    /**
     * Create a new message instance.
     */
    public function __construct(Anggota $anggota)
    {
        $this->anggota = $anggota;
    }

    /**
     * Build the message.
     */
    public function build()
    {
        return $this->subject('🕒 Anggota Baru Menunggu Persetujuan')
                    ->view('emails.anggota_baru_menunggu');
    }
}

